Subject: Re: [DNSOP] NSCP Pros and Cons: draft-dickinson-dnsop-nameserver-control

From: Jelte Jansen <[email-masked]>
Date: Thu, 03 Feb 2011 11:57:24 +0100

On 01/26/2011 06:58 PM, Stephen Morris wrote:
> To restart the dormant discussion on NSCP...
> 

keeping it on life-support :)

> On 13 Dec 2010, at 08:51, Jelte Jansen wrote:
> 
>> It has been said (perhaps by you) that perhaps we ought to think about splitting
>> up the data model and the protocol. I'm not sure about the advantage of that
>> (well, apart from doc length), but thought i'd mention it.
> 
> In part it is document length, but also to allow the development of NSCP to proceed without getting side-tracked by discussions on whether NETCONF should be used as the underlying protocol.
> 

So would the 'data-model' be completely abstract or still represented in an
existing language (or both, where the language serves 'as an example'?)

> 
>> Two more things, I've also heard complaints about Netconf/yang being overkill,
>> do we know if this is about netconf, yang, or both?
> 
> I've also heard mutterings along those lines, but nothing definitive.
> 
> NETCONF was proposed as the underlying protocol for the reasons outlined in the draft.  I don't think it is overkill, as anything that implemented NSCP would need to supply a lot of the functionality that comes with NETCONF.
> 

Right. It was also specifically made for things like this, although 'back in the
day' there weren't much ready-to-use libraries for it. I hear things are better
now but I must confess I haven't looked :)

> With regards to YANG, that was in development around the time NSCP was being developed. As it was being promoted as a data modelling language for NETCONF, it made sense to use it for a NETCONF-based application.  However, it is new and the specification, RFC 6020, is over 170 pages long; perhaps that it putting people off?  If we don't use YANG for NSCP, what should be used?
> 

no idea...

> 
>> Related to that, someone proposed a RESTful protocol, but noone made a specific
>> proposal for that. Should we try to get someone to do that? :)
> 
> If someone would like to formally propose a RESTful approach, that would be a useful contribution to the discussion.  But whatever the underlying protocol, we still need to get agreement on the data model.
> 

If someone is actually looking into or working on this, please give a ping, even
if it isn't much formed yet

Jelte